Customer Forum for Mozilla
Ubiquity 0.5.4 / 0.5.5pre7 not compatible with Firefox 3.6